POST /auth/cli/poll
Poll a device-code auth flow for its token.
Unauthenticated; the device code identifies the flow.
curl -X POST "https://api.ellipsis.dev/v1/auth/cli/poll" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY" \
-H "Content-Type: application/json" \
-d '{"device_code":"..."}'{
"access_token": "string",
"status": "string"
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.auth.cli.poll("...")
print(result){
"access_token": "string",
"status": "string"
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.auth.cli.poll({ device_code: '...' });
console.log(result);{
"access_token": "string",
"status": "string"
}{
"properties": {
"device_code": {
"type": "string"
}
},
"required": [
"device_code"
],
"type": "object"
}{
"properties": {
"access_token": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string"
}
},
"required": [
"status"
],
"type": "object"
}Request
device_codestringrequired
The device code returned by POST /v1/auth/cli/start.